geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vasily Zakharov" <...@apache.org>
Subject Re: Upgrading jaxb-impl 2.0.5 to 2.1.6 ?
Date Thu, 10 Apr 2008 14:03:19 GMT
Kevan,

Do you mean we could switch the trunk to jaxb-impl 2.1.6 right now?

I could prepare a patch and put it to GERONIMO-3951.

Vasily


On Fri, Apr 4, 2008 at 8:35 PM, Kevan Miller <kevan.miller@gmail.com> wrote:
>
>
>
> On Apr 4, 2008, at 1:13 PM, Vasily Zakharov wrote:
> Hi, all,
>
> I see Geronimo still uses jaxb-impl version 2.0.5, while 2.1.6 is the
> latest stable release.
> Is there any particular reason for that?
> What do you people think about switching to 2.1.x?
>
> I was recently investigating a nasty intermittent failure of
> org.apache.geronimo.cxf.CXFHandlerResolverTest test on Harmony
> (HARMONY-5625) and it seems the problem is in JAXB implementation. The
> problem occurs on jaxb-impl-2.1.3 and earlier and doesn't occur on
> jaxb-impl-2.1.4 and later. I suspect JAXB issue 383 [1] is the cause.
>
> In other words, bugs in jaxb-impl 2.0.5 are affecting Geronimo
> operation, at least on Harmony, and that looks like a reason for
> switching to a newer release.
>
> Vasily
>
> [1] https://jaxb.dev.java.net/issues/show_bug.cgi?id=383
>
> Hi Vasily,
> Thanks for the info. JAXB 2.1 presents Java EE 5 TCK issues for us. We're
> working to learn from Sun how to pass the TCK w/ JAXB/JAXWS 2.1. Not
> something that i'd anticipate for a near-term, 2.0/2.1 release. However,
> don't see why we shouldn't start exploring this on our dev trunk (e.g.
> 2.2-SNAPSHOT).
>
> --kevan
>
>

Mime
View raw message